unit uhermit;
interface
const maxhermit=20;

function hermit(n:byte;x:single):single;

implementation
const maxkoef=25;
type TKoeffizienten=array[0..maxkoef] of single;
var polynom:array[0..maxhermit] of TKoeffizienten;

procedure berechnekoeffizienten;
var n,m:byte;
begin
  fillchar(polynom,sizeof(polynom),#0);
  polynom[0,0]:=1;
  for n:=1 to maxhermit do begin
    polynom[n,0]:=-polynom[pred(n),1];
    for m:=1 to pred(maxkoef) do polynom[n,m]:=2*polynom[pred(n),pred(m)]-succ(m)*polynom[pred(n),succ(m)];
  end;
end;

function hermit(n:byte;x:single):single;
var m:byte;
    a:single;
begin
  a:=polynom[n,n];
  if n>0 then for m:=pred(n) downto 0 do a:=a*x+polynom[n,m];
  hermit:=a;
end;

begin
  berechnekoeffizienten;
end.