unit unumber;
interface
const maxhermit=70;

function number(n:byte;x:extended):extended;
procedure setbeta(ab:extended);

implementation
const maxkoef=maxhermit+1;
type TKoeffizienten=array[0..maxkoef] of extended;
var polynom:array[0..maxhermit] of TKoeffizienten;
var b,co:extended;

procedure berechnekoeffizienten;
var n,m:byte;
    s:extended;
begin
  fillchar(polynom,sizeof(polynom),#0);
  polynom[0,0]:=1;
  for n:=1 to maxhermit do begin
    polynom[n,0]:=-polynom[pred(n),1];
    for m:=1 to pred(maxkoef) do begin
      polynom[n,m]:=2*polynom[pred(n),pred(m)]-succ(m)*polynom[pred(n),succ(m)];
    end;
  end;
  s:=1;
  for n:=1 to maxhermit do begin
    s:=s/sqrt(2*n);
    for m:=0 to n do polynom[n,m]:=polynom[n,m]*s;
  end;
end;

function number(n:byte;x:extended):extended;
var m:byte;
    a:extended;
begin
  x:=b*x;
  a:=polynom[n,n];
  if n>0 then for m:=pred(n) downto 0 do a:=a*x+polynom[n,m];
  number:=co*a*exp(-sqr(b*x)/2);
end;

procedure setbeta(ab:extended);
begin
  b:=ab;
  co:=sqrt(b/sqrt(pi));
end;

begin
  berechnekoeffizienten;
  setbeta(1);
end.